#
# spec file for package tree-sitter-cpp
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name cpp
Summary:        C++ grammar for tree-sitter
Name:           tree-sitter-%{_name}
Version:        0.22.3
Release:        1.1
License:        MIT
Group:          Development/Tools/Other
URL:            https://github.com/tree-sitter/tree-sitter-cpp
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  tree-sitter
BuildRequires:  treesitter_grammar_src(tree-sitter-c)
%treesitter_grammars %{_name}

%description
%{summary}.

%prep
%autosetup -p1

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install

%files
%license LICENSE
%{treesitter_files}

%changelog
* Thu Aug  1 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Update to version 0.22.3:
  * Add tests for template/comparison ambiguities
  * Fix ambiguity between template and comparison
  * fix: remove `choice` wrapper around 'virtual'
  * fix(query): remove duplicate rule
* Mon Apr 29 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Update to version 0.22.0:
  * feat: support reference declarators in types
  * feat: add optional attribute declarations after 'namespace'
  * feat: support pure virtual destructors
  * fix: specifier and virtual do not strictly require each other
  * fix(scanner): only call memcpy if `length` is greater than 0
  * feat(scanner): use alloc header
* Sun Feb 25 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Initial packaging for openSUSE
- Update to version 0.20.5:
  * fix: allow qualified identifiers in field expressions
  * fix: give for statement bodies a higher `dynamic` precedence to avoid parse errors
  * fix(scanner): return false during error recovery
  * chore: update tree-sitter-c
  * docs: update badges
  * chore(scanner): formatting improvements
  * fix: hide aliased rule
